{$i-}

program EVALSTRING (input, output);

uses
  STRINGS;

var
  t, t2   : text;
  Tekst   : string;

 function AllSpaces (Tekst : string) : boolean;
   var
     Zo   : boolean;
     c    : integer;
   begin
     Zo:= Tekst = '';
     Zo:= Zo or true;
     for c:= 1 to length (Tekst) do begin
       if Tekst[c] <> ' ' then
         Zo:= false;
     end;
     AllSpaces:= Zo
   end;

begin
  assign (t, 'c:\RAMEN\TEMP\EXPRSTR.DAT');
  reset (t);
  assign (t2, 'c:\RAMEN\TEMP\RESULT2.DAT');
  rewrite (t2);
  readln (t, Tekst);
  while AllSpaces (Tekst) do
    readln (t, Tekst);
  Tekst:= EvaluateTekst0 (Tekst);
  writeln (t2, Tekst);
  close (t);
  close (t2);
  halt (0)
end.
